Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class QueryType.BlockBy

    java.lang.Object
      com.sun.mdm.index.parser.QueryType.BlockBy

Enclosing class:
  QueryType

public static class QueryType.BlockBy
extends java.lang.Object

Field Summary
`(package private) java.lang.String` | `constant`
`(package private) java.lang.String` | `field`
`(package private) java.lang.String` | `lowerBoundType`
`(package private) java.lang.String` | `lowerBoundValue`
`(package private) java.lang.String` | `operator`
`(package private) java.lang.String` | `source`
`(package private) java.lang.String` | `upperBoundType`
`(package private) java.lang.String` | `upperBoundValue`
`(package private) boolean` | `useConstant`

Constructor Summary
`QueryType.BlockBy()`
`QueryType.BlockBy(java.lang.String field, java.lang.String operator, java.lang.String source, boolean useConstant, java.lang.String lowerBoundType, java.lang.String lowerBoundValue, java.lang.String upperBoundType, java.lang.String upperBoundValue)`

Method Summary
`java.lang.String` | `getConstant()`
`java.lang.String` | `getField()`
`java.lang.String` | `getLowerBoundType()`
`java.lang.String` | `getLowerBoundValue()`
`java.lang.String` | `getOperator()`
`java.lang.String` | `getSource()`
`java.lang.String` | `getUpperBoundType()`
`java.lang.String` | `getUpperBoundValue()`
`void` | `setConstant(java.lang.String constant)`
`void` | `setField(java.lang.String field)`
`void` | `setLowerBoundType(java.lang.String lowerBoundType)`
`void` | `setLowerBoundValue(java.lang.String lowerBoundValue)`
`void` | `setOperator(java.lang.String operator)`
`void` | `setSource(java.lang.String source)`
`void` | `setUpperBoundType(java.lang.String upperBoundType)`
`void` | `setUpperBoundValue(java.lang.String upperBoundValue)`
`boolean` | `useConstant()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### constant

    java.lang.String constant

### field

    java.lang.String field

### lowerBoundType

    java.lang.String lowerBoundType

### lowerBoundValue

    java.lang.String lowerBoundValue

### operator

    java.lang.String operator

### source

    java.lang.String source

### upperBoundType

    java.lang.String upperBoundType

### upperBoundValue

    java.lang.String upperBoundValue

### useConstant

    boolean useConstant

Constructor Detail

### QueryType.BlockBy

    public QueryType.BlockBy()

### QueryType.BlockBy

    public QueryType.BlockBy(java.lang.String field,
                             java.lang.String operator,
                             java.lang.String source,
                             boolean useConstant,
                             java.lang.String lowerBoundType,
                             java.lang.String lowerBoundValue,
                             java.lang.String upperBoundType,
                             java.lang.String upperBoundValue)

Method Detail

### getConstant

    public java.lang.String getConstant()

### getField

    public java.lang.String getField()

### getLowerBoundType

    public java.lang.String getLowerBoundType()

### getLowerBoundValue

    public java.lang.String getLowerBoundValue()

### getOperator

    public java.lang.String getOperator()

### getSource

    public java.lang.String getSource()

### getUpperBoundType

    public java.lang.String getUpperBoundType()

### getUpperBoundValue

    public java.lang.String getUpperBoundValue()

### setConstant

    public void setConstant(java.lang.String constant)

### setField

    public void setField(java.lang.String field)

### setLowerBoundType

    public void setLowerBoundType(java.lang.String lowerBoundType)

### setLowerBoundValue

    public void setLowerBoundValue(java.lang.String lowerBoundValue)

### setOperator

    public void setOperator(java.lang.String operator)

### setSource

    public void setSource(java.lang.String source)

### setUpperBoundType

    public void setUpperBoundType(java.lang.String upperBoundType)

### setUpperBoundValue

    public void setUpperBoundValue(java.lang.String upperBoundValue)

### useConstant

    public boolean useConstant()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.